path: /build/build/nvidia-kernel-modules-kernel-5.4-535.86.05+12.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise i --sync-repos -y nvidia-drivers && anise upgrade -y && anise cleanup
    && emerge =x11-drivers/nvidia-kernel-modules-535.86.05 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.86.05
  - |
    eval 'rm -rf /nvidia-kernel-modules || true' && mkdir /nvidia-kernel-modules && \
    luet-portage --dir /nvidia-kernel-modules x11-drivers/nvidia-kernel-modules
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9e8eed095fa8c16253d934d5e91d56f5356f9f4dc3753334aad1949e6c4b147e
  package:
    name: nvidia-kernel-modules
    version: 535.86.05+12
    category: kernel-5.4
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.4
    provides:
    - name: nvidia-kernel-modules
      version: 535.86.05
      category: x11-drivers-5.4
    annotations:
      kernel_module: true
    buildtimestamp: 2024-06-01 00:03:29.115008757 +0000 UTC m=+555.319732532
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.4.277
      original.package.version: 535.86.05
    treedir: /build/packages
  package_dir: /nvidia-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 354efb7a5efb201323152f72d228fa597b823f353abe61f2f3b387eb58ee5d60
compressiontype: zstd
files:
- lib/modules/5.4.277-macaroni/video/nvidia-drm.ko
- lib/modules/5.4.277-macaroni/video/nvidia-modeset.ko
- lib/modules/5.4.277-macaroni/video/nvidia-uvm.ko
- lib/modules/5.4.277-macaroni/video/nvidia.ko
package_cacheimage: ""
runtime:
  name: nvidia-kernel-modules
  version: 535.86.05+12
  category: kernel-5.4
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  provides:
  - name: nvidia-kernel-modules
    version: 535.86.05
    category: x11-drivers-5.4
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.4.277
    original.package.version: 535.86.05
